﻿// <auto-generated />
using System;
using IntraAlfa.Infra.Context;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace IntraAlfa.Infra.Migrations.Stage
{
    [DbContext(typeof(StageContext))]
    partial class StageContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.1")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("IntraAlfa.Domain.Entities.Stage", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("BIGINT")
                        .HasAnnotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("ApproveAt")
                        .HasMaxLength(1)
                        .HasColumnType("TimeStamp")
                        .HasColumnName("approveAt");

                    b.Property<string>("ApproverEmail")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("VARCHAR(200)")
                        .HasColumnName("approverEmail");

                    b.Property<string>("DocumentType")
                        .IsRequired()
                        .HasMaxLength(4)
                        .HasColumnType("VARCHAR(4)")
                        .HasColumnName("documentType");

                    b.Property<long>("EntityId")
                        .HasColumnType("BIGINT")
                        .HasColumnName("entityId");

                    b.Property<string>("Remarks")
                        .HasMaxLength(200)
                        .HasColumnType("VARCHAR(200)")
                        .HasColumnName("remarks");

                    b.Property<string>("Status")
                        .IsRequired()
                        .HasMaxLength(1)
                        .HasColumnType("VARCHAR(1)")
                        .HasColumnName("status");

                    b.HasKey("Id");

                    b.ToTable("Stage", (string)null);
                });
#pragma warning restore 612, 618
        }
    }
}
